<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2017 The Android Open Source Project

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->
<resources>
    <!-- =============== -->
    <!-- TextAppearances -->
    <!-- =============== -->
    <eat-comment />

    <!-- Base namespace for all TextAppearances. -->
    <style name="TextAppearance.Car" parent="TextAppearance.AppCompat" />

    <style name="TextAppearance.Car.Display1">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_display1_size</item>
        <item name="android:textColor">@color/car_display1</item>
    </style>

    <style name="TextAppearance.Car.Display2">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_display2_size</item>
        <item name="android:textColor">@color/car_display2</item>
    </style>

    <style name="TextAppearance.Car.Display3">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_display3_size</item>
        <item name="android:textColor">@color/car_display3</item>
    </style>

    <style name="TextAppearance.Car.Display4">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_display4_size</item>
        <item name="android:textColor">@color/car_display4</item>
    </style>

    <!-- The styling for body text. The color of this text changes based on the day/night mode. -->
    <style name="TextAppearance.Car.Body1">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_body1_size</item>
        <item name="android:textColor">@color/car_body1</item>
    </style>

    <style name="TextAppearance.Car.Body1.Medium">
        <item name="android:fontFamily">sans-serif-medium</item>
    </style>

    <!-- Body1 text that is permanently a light color. -->
    <style name="TextAppearance.Car.Body1.Light">
        <item name="android:textColor">@color/car_body1_light</item>
    </style>

    <style name="TextAppearance.Car.Body1.Medium.Light">
        <item name="android:textColor">@color/car_body1_light</item>
    </style>

    <!-- Body1 text that is permanently a dark color. -->
    <style name="TextAppearance.Car.Body1.Dark">
        <item name="android:textColor">@color/car_body1_dark</item>
    </style>

    <style name="TextAppearance.Car.Body1.Medium.Dark">
        <item name="android:textColor">@color/car_body1_light</item>
    </style>

    <!-- An alternate styling for body text that is both a different color and size than
         CarBody1. -->
    <style name="TextAppearance.Car.Body2">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_body2_size</item>
        <item name="android:textColor">@color/car_body2</item>
    </style>

    <!-- Body2 text that is permanently a light color. -->
    <style name="TextAppearance.Car.Body2.Light">
        <item name="android:textColor">@color/car_body2_light</item>
    </style>

    <!-- Body2 text that is permanently a dark color. -->
    <style name="TextAppearance.Car.Body2.Dark">
        <item name="android:textColor">@color/car_body2_dark</item>
    </style>

    <!-- A smaller styling for body text. The color of this text changes based on the day/night
         mode. -->
    <style name="TextAppearance.Car.Body3">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_body3_size</item>
        <item name="android:textColor">@color/car_body3</item>
    </style>

    <style name="TextAppearance.Car.Body3.Medium">
        <item name="android:fontFamily">sans-serif-medium</item>
    </style>

    <style name="TextAppearance.Car.Body3.Light">
        <item name="android:textColor">@color/car_body3_light</item>
    </style>

    <style name="TextAppearance.Car.Body3.Medium.Light">
        <item name="android:textColor">@color/car_body3_light</item>
    </style>

    <style name="TextAppearance.Car.Body3.Dark">
        <item name="android:textColor">@color/car_body3_dark</item>
    </style>

    <style name="TextAppearance.Car.Body3.Medium.Dark">
        <item name="android:textColor">@color/car_body3_dark</item>
    </style>

    <style name="TextAppearance.Car.Body3.Medium.Accent">
        <item name="android:textColor">@color/car_accent</item>
    </style>

    <!-- The smallest styling for body text. The color of this text changes based on the day/night
         mode. -->
    <style name="TextAppearance.Car.Body4">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_body4_size</item>
        <item name="android:textColor">@color/car_body4</item>
    </style>

    <style name="TextAppearance.Car.Body4.Light">
        <item name="android:textColor">@color/car_body4_light</item>
    </style>

    <style name="TextAppearance.Car.Body4.Dark">
        <item name="android:textColor">@color/car_body4_dark</item>
    </style>

    <style name="TextAppearance.Car.SubText1">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_subtext1_size</item>
        <item name="android:textColor">@color/car_subtext1</item>
    </style>

    <style name="TextAppearance.Car.SubText2">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_subtext2_size</item>
        <item name="android:textColor">@color/car_subtext2</item>
    </style>

    <style name="TextAppearance.Car.SubText3">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_subtext3_size</item>
        <item name="android:textColor">@color/car_subtext3</item>
    </style>

    <style name="TextAppearance.Car.SubText4">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_subtext4_size</item>
        <item name="android:textColor">@color/car_subtext4</item>
    </style>

    <style name="TextAppearance.Car.SubText5">
        <item name="android:textStyle">normal</item>
        <item name="android:textSize">@dimen/car_subtext5_size</item>
        <item name="android:textColor">@color/car_subtext5</item>
    </style>

    <!-- The styling for subheader text. This text uses android:colorAccent defined in the theme as
         its text color. -->
    <style name="TextAppearance.Car.Subheader" parent="TextAppearance.Car.Body3.Medium">
        <item name="android:textColor">?attr/android:colorAccent</item>
    </style>

    <!-- The styling for menu text in action bar. -->
    <style name="TextAppearance.Car.ActionBar.Menu" parent="TextAppearance.Car.Body3.Medium">
        <item name="android:textColor">?attr/actionMenuTextColor</item>
    </style>

    <!-- Styles for TextInputLayout hints. -->
    <style name="TextAppearance.Car.Hint" parent="TextAppearance.Car.Body2" />

    <!-- A style for TextInputLayout hints that is fixed to a light color. -->
    <style name="TextAppearance.Car.Hint.Light" parent="TextAppearance.Car.Body2.Light" />

    <!-- Styles for an error message for TextInputLayouts. -->
    <style name="TextAppearance.Car.Error" parent="TextAppearance.Car.Body2">
        <item name="android:textColor">@color/car_red_400</item>
    </style>

    <!-- Style for the Alpha Jump button in the Scrollbar View -->
    <style name="TextAppearance.Car.AlphaJumpButton">
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">@dimen/car_body3_size</item>
        <item name="android:textColor">@color/car_card</item>
        <item name="android:minWidth">@dimen/car_alpha_jump_button_size</item>
    </style>

    <!-- ======= -->
    <!-- Widgets -->
    <!-- ======= -->
    <eat-comment />

    <!-- ================ -->
    <!-- CarToolbar Style -->
    <!-- ================ -->
    <eat-comment />

    <!-- The styling for CarToolbar. -->
    <style name="Widget.Car.CarToolbar" parent="android:Widget">
        <item name="android:background">@android:color/black</item>
        <item name="navigationIcon">@drawable/ic_nav_arrow_back</item>
        <item name="navigationIconTint">@color/car_tint_light</item>
        <item name="navigationIconContainerWidth">@dimen/car_margin</item>
        <item name="titleTextAppearance">@style/TextAppearance.Car.Body1.Medium.Light</item>
        <item name="subtitleTextAppearance">@style/TextAppearance.Car.Body2.Light</item>
    </style>

    <!-- The styling for Toolbar used as action bar. -->
    <style name="Widget.Car.Toolbar" parent="Widget.AppCompat.Toolbar">
        <item name="android:minHeight">?attr/actionBarSize</item>
        <item name="background">@color/car_card</item>
        <item name="contentInsetEnd">@dimen/car_keyline_1</item>
        <item name="contentInsetStart">@dimen/car_keyline_1</item>
        <item name="elevation">@dimen/car_app_bar_default_elevation</item>
        <item name="subtitleTextAppearance">@style/TextAppearance.Car.Body2</item>
        <item name="titleTextAppearance">@style/TextAppearance.Car.Body1.Medium</item>
        <item name="navigationIcon">@drawable/ic_nav_arrow_back</item>
    </style>

    <!-- The styling of a Toolbar that is fixed to light-colored text. -->
    <style name="Widget.Car.Toolbar.Light">
        <item name="subtitleTextAppearance">@style/TextAppearance.Car.Body2.Light</item>
        <item name="titleTextAppearance">@style/TextAppearance.Car.Body1.Medium.Light</item>
    </style>

    <!-- The styling for the navigation button in action bar. -->
    <style name="Widget.Car.Toolbar.Button.Navigation"
           parent="Widget.AppCompat.Toolbar.Button.Navigation">
        <item name="android:background">@drawable/car_button_ripple_background</item>
        <item name="android:scaleType">center</item>
        <item name="android:tint">@color/car_tint</item>
    </style>

    <!-- The styling for the navigation button in action bar that is fixed to a light color. -->
    <style name="Widget.Car.Toolbar.Button.Navigation.Light">
        <item name="android:background">@drawable/car_button_ripple_background_light</item>
        <item name="android:tint">@color/car_tint_light</item>
    </style>

    <!-- A styling for action buttons within a toolbar. -->
    <style name="Widget.Car.ActionButton" parent="Widget.AppCompat.ActionButton">
        <item name="android:background">?attr/actionBarItemBackground</item>
        <item name="android:minHeight">@dimen/car_action_bar_height</item>
        <item name="android:paddingLeft">@dimen/car_padding_2</item>
        <item name="android:paddingRight">@dimen/car_padding_2</item>
        <item name="android:scaleType">fitCenter</item>
        <item name="android:textAppearance">@style/TextAppearance.Car.Body3</item>
        <item name="android:tint">@color/car_tint</item>
    </style>

    <!-- A styling for action buttons within a toolbar that is fixed to light colors. -->
    <style name="Widget.Car.ActionButton.Light">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body3.Light</item>
        <item name="android:tint">@color/car_tint_light</item>
    </style>

    <!-- The style for the menu bar (i.e. hamburger) and back arrow in the navigation drawer. -->
    <style name="Widget.Car.DrawerArrowToggle" parent="Widget.AppCompat.DrawerArrowToggle">
        <item name="color">?attr/drawerHeaderColor</item>
        <item name="spinBars">true</item>
        <item name="barLength">@dimen/car_menu_bar_length</item>
        <item name="thickness">@dimen/car_arrow_thickness</item>
        <item name="gapBetweenBars">@dimen/car_menu_bar_spacing</item>
        <item name="arrowShaftLength">@dimen/car_arrow_shaft_length</item>
        <item name="arrowHeadLength">@dimen/car_arrow_head_length</item>
        <item name="drawableSize">@dimen/car_arrow_size</item>
    </style>

    <!-- The style for the regular buttons. -->
    <style name="Widget.Car.Button" parent="Widget.AppCompat.Button">
        <item name="android:fadingEdgeLength">@dimen/car_button_fading_edge_length</item>
        <item name="android:fontFamily">sans-serif-medium</item>
        <item name="android:ellipsize">none</item>
        <item name="android:layout_height">@dimen/car_button_height</item>
        <item name="android:maxEms">@integer/car_button_max_ems</item>
        <item name="android:minWidth">@dimen/car_button_min_width</item>
        <item name="android:paddingStart">@dimen/car_padding_3</item>
        <item name="android:paddingEnd">@dimen/car_padding_3</item>
        <item name="android:requiresFadingEdge">horizontal</item>
        <item name="android:singleLine">true</item>
        <item name="android:textSize">@dimen/car_body3_size</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:background">@drawable/car_button_background</item>
        <item name="android:textColor">@color/car_body1</item>
    </style>

    <!-- A style for buttons that is fixed with dark-colored text. -->
    <style name="Widget.Car.Button.DarkText">
        <item name="android:textColor">@color/car_body1_dark</item>
    </style>

    <!-- A style for buttons that is fixed with light-colored text. -->
    <style name="Widget.Car.Button.LightText">
        <item name="android:textColor">@color/car_body1_light</item>
    </style>

    <!-- The style for borderless buttons. -->
    <style name="Widget.Car.Button.Borderless.Colored" parent="Widget.AppCompat.Button.Borderless.Colored">
        <item name="android:fadingEdgeLength">@dimen/car_button_fading_edge_length</item>
        <item name="android:fontFamily">sans-serif-medium</item>
        <item name="android:ellipsize">none</item>
        <item name="android:layout_height">@dimen/car_button_height</item>
        <item name="android:maxEms">@integer/car_button_max_ems</item>
        <item name="android:minWidth">@dimen/car_button_min_width</item>
        <item name="android:paddingStart">@dimen/car_padding_3</item>
        <item name="android:paddingEnd">@dimen/car_padding_3</item>
        <item name="android:requiresFadingEdge">horizontal</item>
        <item name="android:singleLine">true</item>
        <item name="android:textSize">@dimen/car_body3_size</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:textColor">?android:attr/colorButtonNormal</item>
    </style>

    <!-- Style for the progress bars. -->
    <style name="Widget.Car.ProgressBar.Horizontal" parent="Widget.AppCompat.ProgressBar.Horizontal">
        <item name="android:minHeight">@dimen/car_progress_bar_height</item>
        <item name="android:maxHeight">@dimen/car_progress_bar_height</item>
    </style>

    <style name="Widget.Car.EditText" parent="Widget.AppCompat.EditText">
        <item name="android:textColor">?attr/editTextColor</item>
        <item name="android:textAppearance">@style/TextAppearance.Car.Body1</item>
    </style>

    <!-- Styling for the seek bars. -->
    <style name="Widget.Car.SeekBar" parent="Widget.AppCompat.SeekBar">
        <item name="android:progressDrawable">@drawable/car_seekbar_track</item>
        <item name="android:thumb">@drawable/car_seekbar_thumb</item>
    </style>

    <!-- Styling for seek bars that is fixed to a dark color for thumb and progress. -->
    <style name="Widget.Car.SeekBar.Dark">
        <item name="android:progressDrawable">@drawable/car_seekbar_track</item>
        <item name="android:thumb">@drawable/car_seekbar_thumb</item>
    </style>

    <!-- Styling for seek bars that is fixed to a light color for thumb and progress. -->
    <style name="Widget.Car.SeekBar.Light">
        <item name="android:progressDrawable">@drawable/car_seekbar_track</item>
        <item name="android:thumb">@drawable/car_seekbar_thumb</item>
    </style>

    <!-- Styling for switches. -->
    <style name="Widget.Car.Switch" parent="Widget.AppCompat.CompoundButton.Switch">
        <item name="android:thumb">@drawable/car_switch_thumb</item>
        <item name="android:switchMinWidth">@dimen/car_primary_icon_size</item>
    </style>

    <style name="CarListVerticalDivider">
        <item name="android:layout_width">@dimen/car_vertical_line_divider_width</item>
        <item name="android:layout_height">@dimen/car_vertical_line_divider_height</item>
        <item name="android:layout_marginStart">@dimen/car_padding_4</item>
        <item name="android:background">@color/car_list_divider</item>
    </style>

    <!-- =========== -->
    <!-- List Styles -->
    <!-- =========== -->
    <eat-comment />

    <!-- The default styling for a PagedListView. -->
    <style name="Widget.Car.List" parent="android:Widget">
        <item name="listDividerColor">@color/car_list_divider</item>
        <item name="scrollBarGravity">left</item>
    </style>

    <!-- A styling for the PagedListView that has light-colored dividers. -->
    <style name="Widget.Car.List.Light">
        <item name="listDividerColor">@color/car_list_divider_light</item>
    </style>

    <!-- A styling for the PagedListView that has dark-colored dividers. -->
    <style name="Widget.Car.List.Dark">
        <item name="listDividerColor">@color/car_list_divider_dark</item>
    </style>

    <!-- A styling for the scroll bars that is light during the day and dark at night. -->
    <style name="Widget.Car.Scrollbar" parent="android:Widget">
        <item name="buttonTintColor">@color/car_tint</item>
        <item name="buttonRippleBackground">@drawable/car_button_ripple_background</item>
        <item name="scrollBarColor">@color/car_scrollbar_thumb</item>
    </style>

    <!-- A styling for the scroll bars that is fixed to light colors. -->
    <style name="Widget.Car.Scrollbar.Light">
        <item name="buttonTintColor">@color/car_tint_light</item>
        <item name="buttonRippleBackground">@drawable/car_button_ripple_background_light</item>
        <item name="scrollBarColor">@color/car_scrollbar_thumb_light</item>
    </style>

    <!-- A styling for the scroll bars that is fixed to dark colors. -->
    <style name="Widget.Car.Scrollbar.Dark">
        <item name="buttonTintColor">@color/car_tint_dark</item>
        <item name="buttonRippleBackground">@drawable/car_button_ripple_background_dark</item>
        <item name="scrollBarColor">@color/car_scrollbar_thumb_dark</item>
    </style>

    <!-- =============== -->
    <!-- ListItem Styles -->
    <!-- =============== -->
    <eat-comment />

    <!-- A styling for ListItems that has dark text on a light-colored background. This style
         will automatically switch to darker colors during night mode. -->
    <style name="Widget.Car.ListItem" parent="android:Widget">
        <item name="listItemBackgroundColor">@color/car_card</item>
        <item name="listItemTitleTextAppearance">@style/TextAppearance.Car.Body1</item>
        <item name="listItemBodyTextAppearance">@style/TextAppearance.Car.Body2</item>
    </style>

    <!-- A styling for ListItems that has light text on a dark-colored background. This style
         will remain dark in night mode. -->
    <style name="Widget.Car.ListItem.Dark">
        <item name="listItemBackgroundColor">@color/car_card_dark</item>
        <item name="listItemTitleTextAppearance">@style/TextAppearance.Car.Body1.Light</item>
        <item name="listItemBodyTextAppearance">@style/TextAppearance.Car.Body2.Light</item>
    </style>

    <!-- =============== -->
    <!-- Checkbox Styles -->
    <!-- =============== -->
    <eat-comment />

    <style name="Widget.Car.CheckBox" parent="Widget.AppCompat.CompoundButton.CheckBox">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body1</item>
        <item name="android:textColor">@color/car_body1</item>
        <item name="android:buttonTint">?android:attr/colorAccent</item>
        <item name="buttonTint">?android:attr/colorAccent</item>
    </style>

    <style name="Widget.Car.CheckBox.Light">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body1.Light</item>
        <item name="android:textColor">@color/car_body1_light</item>
    </style>

    <style name="Widget.Car.CheckBox.Dark">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body1.Dark</item>
        <item name="android:textColor">@color/car_body1_dark</item>
    </style>

    <!-- ============= -->
    <!-- Dialog Styles -->
    <!-- ============= -->
    <eat-comment />

    <!-- Base namespace for dialog styles. -->
    <style name="Widget.Car.Dialog" parent="android:Widget" />

    <!-- The title text for a dialog. -->
    <style name="Widget.Car.Dialog.Title">
        <item name="android:maxLines">1</item>
        <item name="android:textAppearance">@style/TextAppearance.Car.Body1.Medium</item>
        <item name="android:ellipsize">end</item>
        <item name="android:textAlignment">viewStart</item>
    </style>

    <!-- Title text for a dialog that is fixed in a light color. -->
    <style name="Widget.Car.Dialog.Title.Light">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body1.Medium.Light</item>
    </style>

    <!-- Title text for a dialog that is fixed in a dark color. -->
    <style name="Widget.Car.Dialog.Title.Dark">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body1.Medium.Dark</item>
    </style>

    <!-- The body text for a dialog. -->
    <style name="Widget.Car.Dialog.Body">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body3</item>
    </style>

    <!-- Body text for a dialog that is fixed in a light color. -->
    <style name="Widget.Car.Dialog.Body.Light">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body3.Light</item>
    </style>

    <!-- Body text for a dialog that is fixed in a dark color. -->
    <style name="Widget.Car.Dialog.Body.Dark">
        <item name="android:textAppearance">@style/TextAppearance.Car.Body3.Dark</item>
    </style>

    <!-- The style for dialog buttons. This style removes the horizontal padding from the
         borderless buttons to ensure they are flush to the text. -->
    <style name="Widget.Car.Dialog.Button" parent="Widget.Car.Button.Borderless.Colored">
        <item name="android:fontFamily">sans-serif-medium</item>
        <item name="android:paddingStart">0dp</item>
        <item name="android:paddingEnd">0dp</item>
    </style>

    <!-- ================= -->
    <!-- Preference Styles -->
    <!-- ================= -->
    <eat-comment />

    <style name="CarPreference">
        <item name="android:layout">@layout/preference_material_car</item>
        <!-- The following attributes are inherited by any style prefixed with CarPreference.
             These attributes can be overriden in the children. -->
        <item name="allowDividerAbove">true</item>
        <item name="allowDividerBelow">true</item>
        <item name="singleLineTitle">true</item>
        <item name="iconSpaceReserved">false</item>
    </style>

    <style name="CarPreference.Information">
        <item name="android:layout">@layout/preference_material_car</item>
        <item name="android:enabled">false</item>
        <item name="android:shouldDisableView">false</item>
    </style>

    <style name="CarPreference.Category">
        <item name="android:layout">@layout/preference_category_material_car</item>
        <!-- The title should not dim if the category is disabled, instead only the preference
             children should dim. -->
        <item name="android:shouldDisableView">false</item>
        <item name="android:selectable">false</item>
    </style>

    <style name="CarPreference.CheckBoxPreference">
        <item name="android:layout">@layout/preference_material_car</item>
        <item name="android:widgetLayout">@layout/preference_car_checkbox_widget</item>
    </style>

    <style name="CarPreference.SwitchPreferenceCompat">
        <item name="android:layout">@layout/preference_material_car</item>
        <item name="android:widgetLayout">@layout/preference_car_switch_compat_widget</item>
    </style>

    <style name="CarPreference.SwitchPreference">
        <item name="android:layout">@layout/preference_material_car</item>
        <item name="android:widgetLayout">@layout/preference_car_switch_widget</item>
    </style>

    <style name="CarPreference.SeekBarPreference">
        <item name="android:layout">@layout/preference_widget_seekbar_material_car</item>
        <item name="adjustable">true</item>
        <item name="showSeekBarValue">true</item>
    </style>

    <style name="CarPreference.PreferenceScreen">
        <item name="android:layout">@layout/preference_material_car</item>
    </style>

    <style name="CarPreference.DialogPreference">
        <item name="android:layout">@layout/preference_material_car</item>
        <item name="android:positiveButtonText">@android:string/ok</item>
        <item name="android:negativeButtonText">@android:string/cancel</item>
    </style>

    <style name="CarPreference.DialogPreference.EditTextPreference">
        <item name="android:layout">@layout/preference_material_car</item>
        <item name="android:dialogLayout">@layout/preference_dialog_edittext</item>
    </style>

    <style name="CarPreference.DropDown">
        <item name="android:layout">@layout/preference_dropdown_material_car</item>
    </style>

    <style name="CarPreferenceFragment">
        <item name="android:layout">@layout/preference_list_fragment_car</item>
        <item name="android:divider">@drawable/car_preference_divider</item>
        <item name="allowDividerAfterLastItem">false</item>
    </style>

    <style name="CarPreferenceFragmentList">
        <item name="android:paddingLeft">0dp</item>
        <item name="android:paddingRight">0dp</item>
    </style>

    <!-- ============== -->
    <!-- Spinner Styles -->
    <!-- ============== -->
    <eat-comment />

    <style name="Widget.Spinner.Car" parent="Widget.AppCompat.Spinner">
        <item name="android:background">@android:color/transparent</item>
        <item name="android:spinnerMode">dialog</item>
    </style>

    <style name="CarSpinnerItem">
        <item name="android:textAppearance">?attr/listItemTitleTextAppearance</item>
        <item name="android:paddingLeft">@dimen/car_keyline_1</item>
        <item name="android:paddingRight">@dimen/car_keyline_1</item>
        <item name="android:paddingTop">@dimen/car_padding_4</item>
        <item name="android:paddingBottom">@dimen/car_padding_4</item>
    </style>

    <!-- ============= -->
    <!-- Dialog Styles -->
    <!-- ============= -->

    <style name="AlertDialog" parent="AlertDialog.AppCompat">
        <item name="multiChoiceItemLayout">@layout/select_dialog_multichoice_car</item>
        <item name="singleChoiceItemLayout">@layout/select_dialog_singlechoice_car</item>
        <item name="android:layout">@layout/car_preference_alert_dialog</item>
    </style>

</resources>
